package jp.dip.commonsense.android.mametalk.dialog;

import jp.dip.commonsense.android.mametalk.R;
import android.content.Context;
import android.widget.ArrayAdapter;

public class ParticipantsDialog extends AbstractListDialog {

    private String[] participants;

    public ParticipantsDialog(Context context, String[] participants) {
        super(context);
        this.participants = participants;
    }

    @Override
    protected void createTitle() {
        setTitle(R.string.dialog_title_participants);
    }

    @Override
    protected int getLayoutResource() {
        return R.layout.simple_list;
    }

    @Override
    protected void fillData() {
        getListView().setAdapter(new ArrayAdapter<String>(getContext(), R.layout.simple_list_item, participants));
    }
}
